| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::MaintenanceData Class Reference

## Public Member Functions
Identity | getIdentity () const
qlonglong | getImageId () const
QString | getImagePath () const
ItemInfo | getItemInfo () const
qlonglong | getSimilarityImageId () const
int | getThumbnailId () const
void | setIdentities (const QList< Identity > &identities)
void | setImageIds (const QList< qlonglong > &ids)
void | setImagePaths (const QList< QString > &paths)
void | setItemInfos (const QList< ItemInfo > &infos)
void | setSimilarityImageIds (const QList< qlonglong > &ids)
void | setThumbnailIds (const QList< int > &ids)